#include <stdio.h>

/* Board */
#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();
    BOARD_InitBootPeripherals();

    BOARD_InitDebugConsole();

    printf("Hello world.\r\n");

    for (;;) {
        GPIO_PortToggle(BOARD_INITLEDPINS_LED_R_GPIO,BOARD_INITLEDPINS_LED_R_GPIO_PIN_MASK);
        SDK_DelayAtLeastUs(500 * 1000, CLOCK_GetCoreSysClkFreq());
    }
}
